public class SchwingerModell extends Modell
{
    public double C = 0.1;
    public double D = 0.1;
    public double m = 1.0;

    public SchwingerModell(double C, double D, double m)
    {
        super(2);
        
        this.C = C;
        this.D = D;
        this.m = m;
    }
    
    public double rechteSeite(int zeile,double[] y, double t)
    {
        double x = y[0];
        double v = y[1];
    
        switch(zeile)
        {
            case 0:
               return v;
            case 1:
               return  -(C/m)*x-(D/m)*v;              
            default:
               return 0.0;
        }    
    }    
}